curl --request POST \
--url https://api.virtuoussoftware.com/api/VolunteerOpportunity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"startDateTime": "<dateTime>",
"endDateTime": "<dateTime>",
"timeZone": "<string>",
"preferredNumberOfHours": "<double>",
"projectId": "<integer>",
"locationName": "<string>",
"description": "<string>",
"isActive": "<boolean>",
"isLocalOnly": "<boolean>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"preferredDateTime": "<dateTime>",
"currentPriority": "<string>",
"currentNeed": "<integer>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
startDateTime: '<dateTime>',
endDateTime: '<dateTime>',
timeZone: '<string>',
preferredNumberOfHours: '<double>',
projectId: '<integer>',
locationName: '<string>',
description: '<string>',
isActive: '<boolean>',
isLocalOnly: '<boolean>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal: '<string>',
country: '<string>',
preferredDateTime: '<dateTime>',
currentPriority: '<string>',
currentNeed: '<integer>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch('https://api.virtuoussoftware.com/api/VolunteerOpportunity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/VolunteerOpportunity"
payload = {
"name": "<string>",
"startDateTime": "<dateTime>",
"endDateTime": "<dateTime>",
"timeZone": "<string>",
"preferredNumberOfHours": "<double>",
"projectId": "<integer>",
"locationName": "<string>",
"description": "<string>",
"isActive": "<boolean>",
"isLocalOnly": "<boolean>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"preferredDateTime": "<dateTime>",
"currentPriority": "<string>",
"currentNeed": "<integer>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/VolunteerOpportunity");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"startDateTime\": \"<dateTime>\",\n \"endDateTime\": \"<dateTime>\",\n \"timeZone\": \"<string>\",\n \"preferredNumberOfHours\": \"<double>\",\n \"projectId\": \"<integer>\",\n \"locationName\": \"<string>\",\n \"description\": \"<string>\",\n \"isActive\": \"<boolean>\",\n \"isLocalOnly\": \"<boolean>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal\": \"<string>\",\n \"country\": \"<string>\",\n \"preferredDateTime\": \"<dateTime>\",\n \"currentPriority\": \"<string>\",\n \"currentNeed\": \"<integer>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/VolunteerOpportunity';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
startDateTime: '<dateTime>',
endDateTime: '<dateTime>',
timeZone: '<string>',
preferredNumberOfHours: '<double>',
projectId: '<integer>',
locationName: '<string>',
description: '<string>',
isActive: '<boolean>',
isLocalOnly: '<boolean>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal: '<string>',
country: '<string>',
preferredDateTime: '<dateTime>',
currentPriority: '<string>',
currentNeed: '<integer>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"volunteerOpportunityUrl": "<string>",
"name": "<string>",
"locationName": "<string>",
"displayAddress": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"preferredDateTime": "<string>",
"timeZone": "<string>",
"description": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"isActive": "<boolean>",
"isLocalOnly": "<boolean>",
"preferredNumberOfHours": "<double>",
"projectId": "<integer>",
"totalVolunteers": "<integer>",
"totalVolunteerHours": "<double>",
"volunteerOrganizers": [
{
"id": "<integer>",
"volunteerOrganizerUrl": "<string>",
"contactId": "<integer>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>",
"contactUrl": "<string>",
"volunteerOpportunityUrl": "<string>"
},
{
"id": "<integer>",
"volunteerOrganizerUrl": "<string>",
"contactId": "<integer>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>",
"contactUrl": "<string>",
"volunteerOpportunityUrl": "<string>"
}
],
"currentNeed": "<integer>",
"currentPriority": "<string>",
"currentPriorityName": "<string>",
"currentNeedFilledPercentage": "<double>",
"hoursFilledPercentage": "<double>",
"volunteerOrganizersUrl": "<string>",
"volunteersUrl": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Create a Volunteer Opportunity
Creates a volunteer opportunity that individuals can be signed up for. Send startDateTime and endDateTime in the opportunity’s local time along with a timeZone, use currentNeed and currentPriority to show how many volunteers are still needed and how urgent it is, and projectId to tie the work to a project.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The display name of the record.
The identifier of the project this record is designated to.
A free-text description of the record.
When true, the record is active and available for use.
The first line of the street address.
The second line of the street address.
The city of the address.
The state or province of the address.
The postal or ZIP code of the address.
The country of the address.
Custom field values to set on the record. Field names must match custom fields configured for the organization.
Show child attributes
Show child attributes
Response
OK
The unique identifier of the record in Virtuous.
The display name of the record.
The free-text description stored on the record.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
The identifier of the project this record is designated to.
Show child attributes
Show child attributes
The custom field values stored on the record.
Show child attributes
Show child attributes
Was this page helpful?